org.apache.ignite.internal.util.snaptree

## Interface Epoch.Ticket

Enclosing class:
  Epoch

    public static interface Epoch.Ticket

Represents a single successful arrival to an `Epoch`.

### Method Summary

Methods
`void` `leave(int data)` Informs the epoch that returned this ticket that the participant has left.

### Method Detail

#### leave

    void leave(int data)

Informs the epoch that returned this ticket that the participant has left. This method should be called exactly once per ticket. The sum of the `data` values for all tickets will be computed and passed to `Epoch.onClosed(int)`.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.3.0-incubating
Release Date | : July 10 2015